%define with_test 0
Name:          htmlunit2
Version:       2.8
Release:       %mkrel 1
Summary:       A "GUI-Less browser for Java programs"
Group:         Development/Java
License:       ASL 2.0
Url:           http://htmlunit.sourceforge.net/
Source0:       http://sourceforge.net/projects/htmlunit/files/htmlunit/%{version}/htmlunit-%{version}-src.zip

Patch0:        htmlunit-2.8-no-test.patch
Patch1:        htmlunit-2.8-apache-mime4j.patch
Patch2:        htmlunit-2.8-HttpWebConnection.patch
Patch3:        htmlunit-2.8-HTMLImageElement.patch
Patch4:        htmlunit-2.8-disable-assembly.patch
Patch5:        htmlunit-2.8-disable-gpg.patch

BuildRequires: apache-commons-codec
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-io
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging

BuildRequires: apache-james-project
BuildRequires: apache-mime4j
BuildRequires: cssparser
BuildRequires: htmlunit-core-js  >= %{version}
BuildRequires: httpcomponents-client

BuildRequires: jdepend-maven-plugin
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-jxr
BuildRequires: maven-pmd-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-wagon
BuildRequires: nekohtml
BuildRequires: sonatype-oss-parent
BuildRequires: xalan-j2
BuildRequires: xerces-j2

# for testing
%if %with_test
BuildRequires: apache-commons-fileupload
BuildRequires: easymock2
# TODO add junitperf pom
BuildRequires: gsbase
BuildRequires: httpcomponents-client
BuildRequires: jetty
# TODO add  pom
BuildRequires: jfreechart
BuildRequires: junit4
BuildRequires: liblog4j-java
BuildRequires: maven-surefire-provider-junit4
BuildRequires: slf4

#BR net.sourceforge.htmlunit webdriver 2.8-SNAPSHOT circular dep
#BR org.seleniumhq.selenium selenium-ie-driver 2.0a5
#BR org.seleniumhq.selenium selenium-firefox-driver 2.0a5

%endif
Requires:      apache-commons-codec
Requires:      apache-commons-collections
Requires:      apache-commons-io
Requires:      apache-commons-lang
Requires:      apache-commons-logging
Requires:      apache-mime4j
Requires:      cssparser
Requires:      httpcomponents-client
Requires:      htmlunit-core-js >= %{version}
Requires:      jakarta-commons-httpclient
Requires:      xalan-j2 

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
HtmlUnit is a "browser for Java programs". It models the HTML
documents and provides an API that allows you to invoke pages,
fill forms, click links, etc. just like you do in your
"normal" browser.

It has fairly good JavaScript support (which gets continuously
improved) and is able to work even with quite complex AJAX
libraries simulating either Firefox or Internet Explorer
depending on the configuration you want to use.
It is typically used for testing purposes or to retrieve
information from web sites.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n htmlunit-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

# rm -rf src/test/resources/libraries/GWT/2.0.1/gwt-servlet.jar
# rm -rf src/test/resources/libraries/DWR/2.0.5/WEB-INF/lib/bsf-2.3.jar
# rm -rf src/test/resources/libraries/DWR/2.0.5/WEB-INF/lib/log4j-1.2.12.jar
# rm -rf src/test/resources/libraries/DWR/2.0.5/WEB-INF/lib/dwr.jar
# rm -rf src/test/resources/libraries/DWR/2.0.5/WEB-INF/lib/bsh-2.0b4.jar
# rm -rf src/test/resources/libraries/DWR/2.0.5/WEB-INF/lib/commons-validator-1.1.4.jar
# rm -rf src/test/resources/libraries/DWR/2.0.5/WEB-INF/lib/commons-logging-1.0.4.jar
# rm -rf src/test/resources/libraries/DWR/2.0.5/WEB-INF/lib/jakarta-oro-2.0.8.jar
# rm -rf src/test/resources/libraries/tinymce/3.2.7/tools/ant/svnjavahl.jar
# rm -rf src/test/resources/libraries/tinymce/3.2.7/tools/ant/ant-contrib.jar
# rm -rf src/test/resources/libraries/tinymce/3.2.7/tools/ant/svnant.jar
# rm -rf src/test/resources/libraries/tinymce/3.2.7/tools/ant/js_build_tools.jar
# rm -rf src/test/resources/libraries/tinymce/3.2.7/tools/ant/svnkit.jar
# rm -rf src/test/resources/libraries/tinymce/3.2.7/tools/ant/svnClientAdapter.jar
# rm -rf src/test/resources/libraries/tinymce/3.2.7/tools/ant/yuicompressor.jar
# rm -rf src/test/resources/applets/simpleAppletDoIt.jar
# rm -rf src/test/resources/applets/emptyApplet.jar
# rm -rf src/test/resources/pjl-comp-filter/WEB-INF/lib/pjl-comp-filter-1.6.6.jar

%build

mvn-rpmbuild  \
%if !%with_test
  -Dmaven.test.skip=true \
%endif
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/htmlunit-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Nov 07 2011 gil <gil> 2.8-1.mga2
+ Revision: 164984
- imported package htmlunit2

